#!/bin/sh

set -e
set -x

# external:
# git git-lfs
# the model checkpoints

uv venv
uv pip install --extra-index-url https://download.pytorch.org/whl/cu128 torch==2.7.1+cu128 torchvision==0.22.1+cu128
uv pip install packaging setuptools wheel psutil markupsafe ninja
uv pip install -v flash-attn --no-build-isolation
uv sync
